Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb
Class Service

    java.lang.Object
      org.jboss.soa.esb.Service

All Implemented Interfaces:
  java.io.Serializable

    public class Service

extends java.lang.Object
implements java.io.Serializable

Service.

Simple immutable compound value object associating a Service "Category" with a Service "Name".

Author:
  tom.fennelly@jboss.com
See Also:
  Serialized Form

Constructor Summary
`Service(java.lang.String category, java.lang.String name)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`boolean` | `equals(Service service)`
`java.lang.String` | `getCategory()`
`static Service` | `getGatewayTargetService(ConfigTree config)` Construct a `Service` instance corresponding to the target Service for the supplied Gateway configuration.
`java.lang.String` | `getName()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Service

    public Service(java.lang.String category,
                   java.lang.String name)

Method Detail

### equals

    public boolean equals(Service service)

### getCategory

    public java.lang.String getCategory()

### getName

    public java.lang.String getName()

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getGatewayTargetService

    public static Service getGatewayTargetService(ConfigTree config)
                                           throws ConfigurationException

  Construct a `Service` instance corresponding to the target Service for the supplied Gateway configuration.

  Parameters:
    `config` - Gateway configuration.
  Returns:
    Service instance corresponding to the target Service.
  Throws:
    `ConfigurationException` - One of the Target Service config attributes was not specified on the supplied configuration.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD